﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamDataChartMarkers
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            CreateList();
        }

        private void CreateList()
        {
            ObservableCollection<Employee> employeeList = new ObservableCollection<Employee>()
                {
                   new Employee("John Smith", 5250.50, 14, new DateTime(2008,01,01)),
                   new Employee("Hania Dillard", 932874.22, 25, new DateTime(2012,03,17)),
                   new Employee("Devin Burgess", 6944.10, -13, new DateTime(2016,03,22)),
                   new Employee("Arisha Woodcock", 57449.10, 86, new DateTime(2018,11,09)),
                   new Employee("Celia Hogg", 123.50, 133, new DateTime(2011,09,11)),
                   new Employee("Payton Carr", 656749.50, 65, new DateTime(2014,12,26)),
                   new Employee("Angela Mclaughlin", 4894.50, 123, new DateTime(2005,06,30)),
                   new Employee("Ailsa Curtis", 5587.50, -3, new DateTime(2013,11,21)),
                   new Employee("Oscar Hubbard", 3745.50, 40, new DateTime(1986,09,29)),
                   new Employee("Naeem Hall", 54892.50, 83, new DateTime(1993,02,17)),
                   new Employee("Kaeden Vasquez", 56868.50, 29, new DateTime(1996,12,10)),
                   new Employee("Branden Gregory", 4974.50, 47, new DateTime(2017,12,10))
                };
            grid1.DataSource = employeeList;
        }

        class Employee
        {
            public string Name { get; set; }
            public double Salary { get; set; }
            public double Score { get; set; }
            public DateTime StartDate { get; set; }

            public Employee(string name, double salary, int score, DateTime startDate)
            {
                Name = name;
                Salary = salary;
                Score = score;
                StartDate = startDate;
            }
        }
    }
}
